## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/camdencheek/tree-sitter-dockerfile
%global commit   33e22c33bcdbfc33d42806ee84cfd0b1248cc392
%forgemeta
%global libname  lib%{name}
%global summary  Dockerfile grammar for Tree-sitter
%global desc     Add support for Dockerfiles to Tree-sitter, an incremental parsing system for \
programming tools.

Name:           %{repo}
Version:        0.1.2^20231010git33e22c33bc
Release:        %autorelease
Summary:        %{summary}
License:        MIT
URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  gcc
BuildRequires:  libtree-sitter-devel
BuildRequires:  make
BuildRequires:  nodejs
BuildRequires:  tree-sitter-cli


%description
%{desc}


%package -n %{libname}
Summary:        %{summary}
Recommends:     libtree-sitter
Enhances:       libtree-sitter

%description -n %{libname}
%{desc}


%package -n %{libname}-devel
Summary:        Development files for %{libname}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n %{libname}-devel
Libraries and header files for developing applications that use
%{name}.


%prep
%forgeautosetup

# https://github.com/camdencheek/tree-sitter-dockerfile/issues/48
rm Makefile
tree-sitter generate
sed -i 's/^VERSION := 0\.0\.1$/VERSION := %{version}/' Makefile


%build
%make_build all


%install
%make_install PARSER_REPO_URL=%{forgeurl} \
              PREFIX=%{_prefix} INCLUDEDIR=%{_includedir} LIBDIR=%{_libdir}
find $RPM_BUILD_ROOT -name '*.a' -delete


%{?ldconfig_scriptlets}


%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/%{libname}.so.*

%files -n %{libname}-devel
%{_includedir}/*
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/*.pc


%changelog
## START: Generated by rpmautospec
* Wed Apr 10 2024 Peter Oliver <git@mavit.org.uk> - 0.1.2^20231010git33e22c33bc-1
- Uncommitted changes

* Wed Apr 10 2024 Peter Oliver <git@mavit.org.uk> - 0.1.2-1
- Initial package.
## END: Generated by rpmautospec
